rule EXE_NetWire_RAT_Unpacked_April_2024 {
    meta:
        author = "NDA0N"
        date = "2024-04-17"
        description = "Detects unpacked NetWire RAT executable"
        yarahub_uuid = "a85abbc1-66ef-49d5-a829-ea13a18965b5"
        yarahub_license = "CC0 1.0"
        yarahub_rule_matching_tlp = "TLP:WHITE"
        yarahub_rule_sharing_tlp = "TLP:WHITE"
        yarahub_reference_md5 = "6fc817f7c53beea30c55d55779cef31d"
	malpedia_family = "win.netwire"
    strings:
	$NetWire = "NetWire" ascii
	$InstallPath = "SOFTWARE\\NetWire" ascii
	$InstallDate = "Install Date" ascii
	$LogStarted = "[Log Started]" ascii
	$Date = "[%.2d/%.2d/%d %.2d:%.2d:%.2d]" ascii
	$encryptedUsername = "encryptedUsername" ascii
	$encryptedPassword = "encryptedPassword" ascii
	$LoginData = "\\Login Data" ascii
    condition: 
	$NetWire and 3 of them       
}